Bug 470900 - sosreport captures vmlinuz and initrd images on ia64
sosreport captures vmlinuz and initrd images on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.3
ia64 Linux
high Severity high
: rc
: ---
Assigned To: Adam Stokes
BaseOS QE
: Regression
Depends On:
Blocks: 465378
  Show dependency treegraph
 
Reported: 2008-11-10 14:58 EST by David Aquilina
Modified: 2014-06-23 20:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:42:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2008-11-10 14:58:18 EST
Description of problem:

When working a 5.3 ia64 problem, I generated a sosreport and attempted to upload it to Issue Tracker. IT refused the upload as it was 100MB+, so I took a look at the sosreport and discovered that it was including all of /boot/efi: 

<snip>
rx4640.230313-874517/boot/efi/efi/redhat/vmlinuz-2.6.18-53.1.14.el5xen
rx4640.230313-874517/boot/efi/efi/redhat/vmlinuz-2.6.18-118.el5xen
rx4640.230313-874517/boot/efi/efi/redhat/xen.gz-2.6.18-53.el5
rx4640.230313-874517/boot/efi/efi/redhat/initrd-2.6.18-43.el5xen.img
rx4640.230313-874517/boot/efi/efi/redhat/initrd-2.6.18-122.el5xen.img
rx4640.230313-874517/boot/efi/efi/redhat/vmlinuz-2.6.18-122.el5xen
rx4640.230313-874517/boot/efi/efi/redhat/initrd-2.6.18-53.1.14.el5xen.img
</snip>

My system had many more kernels installed, I'm just providing a small sample here. sosreport didn't used to do this -> Regression

Version-Release number of selected component (if applicable):

[root@rx4640 tmp]# rpm -q sos
sos-1.7-9.13.el5


How reproducible:

Always

Steps to Reproduce:
1. Run sosreport from 1.7-9.13.el5 on an ia64
2. ...
3. Do not profit
  
Actual results:

Huge sosreport with kernels and initrds included

Expected results:

Non-huge sosreport

Additional info:

Looking at "sos-capture-elilo-conf.patch" from the sos SRPM in 5.3, this line is probably at fault: 

     24 +        self.addCopySpec("/boot/efi/*")

You probably want that to be "/boot/efi/efi/redhat/elilo.conf" instead.
Comment 7 errata-xmlrpc 2009-01-20 16:42:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html

Note You need to log in before you can comment on or make changes to this bug.